version: "3.7"

volumes:
  ldap_db:
    name: ldap_db
  ldap_config:
    name: ldap_config

services:
  ldap:
    image: registry.picasoft.net/pica-openldap:1.4.0
    build: .
    container_name: ldap
    ports:
      - "636:636"
    env_file:
      - ./secrets/pica-openldap.secrets
    labels:
      traefik.http.routers.ldap.rule: Host(`ldap.picasoft.net`)
      traefik.enable: true
      tls-certs-monitor.enable: true
      tls-certs-monitor.action: "restart"
    volumes:
      - ldap_db:/var/lib/ldap
      - ldap_config:/etc/ldap/slapd.d
      - /DATA/docker/certs/ldap.picasoft.net:/container/service/slapd/assets/certs
    restart: unless-stopped
